# JDACommandEvent (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: JDACommandEvent

Package co.aikar.commands

# Class JDACommandEvent

java.lang.Object
co.aikar.commands.JDACommandEvent

All Implemented Interfaces:
  `co.aikar.commands.CommandIssuer`

public class JDACommandEvent extends Object implements co.aikar.commands.CommandIssuer

## Constructor Summary

Constructors
Constructor
Description
`JDACommandEvent(JDACommandManager manager, net.dv8tion.jda.api.events.message.MessageReceivedEvent event)`

## Method Summary

Modifier and Type
Method
Description
`net.dv8tion.jda.api.events.message.MessageReceivedEvent`
`getEvent()`
`net.dv8tion.jda.api.events.message.MessageReceivedEvent`
`getIssuer()`
`co.aikar.commands.CommandManager`
`getManager()`
`@NotNull UUID`
`getUniqueId()`
`boolean`
`hasPermission(String permission)`
`boolean`
`isPlayer()`
`void`
`sendMessage(net.dv8tion.jda.api.entities.Message message)`
`void`
`sendMessage(net.dv8tion.jda.api.entities.MessageEmbed message)`
`void`
`sendMessageInternal(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.CommandIssuer

`sendError, sendError, sendInfo, sendInfo, sendMessage, sendMessage, sendMessage, sendSyntax, sendSyntax`

## Constructor Details

### JDACommandEvent

public JDACommandEvent (JDACommandManager manager, net.dv8tion.jda.api.events.message.MessageReceivedEvent event)

## Method Details

### getEvent

public net.dv8tion.jda.api.events.message.MessageReceivedEvent getEvent()

### getIssuer

public net.dv8tion.jda.api.events.message.MessageReceivedEvent getIssuer()

Specified by:
  `getIssuer` in interface `co.aikar.commands.CommandIssuer`

### getManager

public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.CommandIssuer`

### isPlayer

public boolean isPlayer()

Specified by:
  `isPlayer` in interface `co.aikar.commands.CommandIssuer`

### getUniqueId

@NotNull public @NotNull UUID getUniqueId()

Specified by:
  `getUniqueId` in interface `co.aikar.commands.CommandIssuer`

### hasPermission

public boolean hasPermission (String permission)

Specified by:
  `hasPermission` in interface `co.aikar.commands.CommandIssuer`

### sendMessageInternal

public void sendMessageInternal (String message)

Specified by:
  `sendMessageInternal` in interface `co.aikar.commands.CommandIssuer`

### sendMessage

public void sendMessage (net.dv8tion.jda.api.entities.Message message)

### sendMessage

public void sendMessage (net.dv8tion.jda.api.entities.MessageEmbed message)